#
# spec file for package pkg2zip
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           pkg2zip
Version:        2.2+git.c75a9b2.1592152091.c75a9b2
Release:        pm152.6.2
Summary:        Decrypts PlayStation Vita pkg file and packages to zip archive
License:        SUSE-Public-Domain
Group:          Hardware/Mobile
URL:            https://github.com/lusid1/pkg2zip
Source0:        %{name}-%{version}.tar.gz
Source1:        %{name}.1

%description
Utility that decrypts PlayStation Vita pkg file and creates zip package. Supported pkg files - main application, DLC, patch and PSM files. Supports also PSX files for use with Adrenaline.

Optionally writes NoNpDrm or NoPsmDrm fake license file from zRIF string. You must provide license key.

%prep
%setup -q

%build
make %{?_smp_mflags}

%install
install -D -m0755 %{name} %{buildroot}%{_bindir}/%{name}
install -D -m0755 zrif2rif.py %{buildroot}%{_bindir}/zrif2rif
install -D -m0755 rif2zrif.py %{buildroot}%{_bindir}/rif2zrif
install -D -m0644 %{S:1} %{buildroot}%{_mandir}/man7/%{name}.1

%files
%doc LICENSE README.md
%{_bindir}/%{name}
%{_bindir}/zrif2rif
%{_bindir}/rif2zrif
%{_mandir}/man7/pkg2zip.1.gz

%changelog
* Sun Jun 28 2020 Philipp Seiler <p.seiler@linuxmail.org>
- updated project URL
* Sun Jun 28 2020 Philipp Seiler <p.seiler@linuxmail.org>
- update to lusid1's fork as the original author abandoned
  the project
- update to version 2.2 + git revision c75a9b2
- updated generated manpage
- changed package to use a _service file
  Changelog:
  New in v2.2:
  * PSP Theme names are now used for zip file names
  Changes since v1.8:
  * Added keys.bin support
  * Added support for VITA Theme pkg
  * Added support for PSP Theme pkg
  * Added support for PSP DLC pkg
  * Added support for pocketstation pkg
  * Added option to unpack PSP pkg to EBOOT.PBP
  * Fixed CSO compression
  * Fixed psm dev kit cert.bin extraction
* Sun Jul 29 2018 aloisio@gmx.com
- Added ignore_pragma_warnings.patch to fix TW build
* Fri May 18 2018 p.seiler@linuxmail.org
- fixed bug in patch, which prevents pkg2zip from working correctly
* Fri May 18 2018 p.seiler@linuxmail.org
- Added patch to enable listing of generating output zip
- updated manpage
* Mon Nov 20 2017 p.seiler@linuxmail.org
- update to version 1.8
  * support PSP pkg file unpacking, including NeoGeo, Mini, Go, PC Engine pkg files
  * unpack PSP pkg files to ISO or CSO
  * better output with UTF-8 encoding on Windows for title names
  * show unpacking progress in percents
- added manpage generated from REAME.md with md2man
* Wed Nov 15 2017 p.seiler@linuxmail.org
- spec file cleanup
* Wed Nov  8 2017 p.seiler@linuxmail.org
- added zrif2rif and rif2zrif python scripts
* Wed Nov  8 2017 p.seiler@linuxmail.org
- initial commit
